Subject: Re: [net-next 1/6] e1000e: Avoid wrong check on TX hang

From: Michael Wang <[email-masked]>
Date: Mon, 05 Dec 2011 09:05:23 +0800

On 12/04/2011 03:28 PM, Jeff Kirsher wrote:

> On Sat, 2011-12-03 at 19:26 -0800, David Miller wrote:
>> From: Jeff Kirsher <[email-masked]>
>> Date: Sat,  3 Dec 2011 03:44:26 -0800
>>
>>> +	if ((!adapter->tx_hang_recheck) &&
>>
>> Excessive parenthesis, please remove.
>>
>>> +		adapter->tx_hang_recheck = 1;
>>
>> This variable is a bool, set it to true or false.
>>
>>> +			adapter->tx_hang_recheck = 0;
>>
>> Likewise.
>>
>>> +	adapter->tx_hang_recheck = 0;
>>
>> Likewise.
> 
> Michael/Flavio -
> 
> To expedite this patch, I can make the changes that Dave is requesting
> and re-submit v2 of the patch, if that is ok with you.
> 

Hi, Jeff

That's ok for me, I think it's good if you can work with Dave and make
out a final version for us, if you want my help, please mail me at any
time, I'm glad to work with you.

Flavio:
What's your opinion?

Thanks,
Michael Wang

> -Jeff